<template />

<script>
// https://maplibre.org/maplibre-gl-js-docs/style-spec/layers/#fill

import {
  propsLayer,
  propsLayerColor,
  propsLayerPattern,
  propsLayerSortKey,
  propsLayerTranslate,
  propsLayerFill,
  defineTransitions
} from './shared/props.js'

export const opts = Object.assign({},
  propsLayer,
  propsLayerColor,
  propsLayerPattern,
  propsLayerSortKey,
  propsLayerTranslate,
  propsLayerFill
)
const options = defineTransitions(opts)
</script>

<script setup>
import { setupLayer } from './shared/setup.js'
import { eventsLayer } from './shared/events.js'

const type = 'fill'
const props = defineProps(options)
const emit = defineEmits(eventsLayer)

setupLayer(type, options, props, emit)
</script>
